/**
 *
 * @author http://webotlet.hu
 */

package Webotlet_e14maj_cimek_tomb;


public class Cim
{
  private String cim;
  private int tipus;
  private int sorszam;
  private boolean n18;
  
  public Cim( String s, int db )
  {
    cim = s;
    sorszam = db;

    if( s.startsWith( "2001:0db8" ) )
    {
      tipus = 0;
    }
    else if( s.startsWith( "2001:0e" ) )
    {
      tipus = 1;
    }
    else
    {
      tipus = 2;
    }
    int nullak = 0;
    for( int i = 0; i < cim.length(); i++ )
    {
      if( cim.charAt(i) == '0' )
      {
        nullak++;
      }
    }
    n18 = nullak >= 18;
  }

  public String getCim()
  {
    return cim;
  }

  public int getTipus()
  {
    return tipus;
  }

  public int getSorszam()
  {
    return sorszam;
  }

  public boolean isN18()
  {
    return n18;
  }

  @Override
  public String toString()
  {
    return "Cim{" + "cim=" + cim + ", tipus=" + tipus + ", sorszam=" + sorszam + ", n18=" + n18 + '}';
  }
  
  public static String bevezeto0( String c )
  {
    StringBuilder sb = new StringBuilder();
    String[] tomb = c.split(":");
    for( String s : tomb )
    {
      if( s.startsWith("000") )
      {
        sb.append(s.substring(3)+":");
      }

      else if( s.startsWith("00") )
      {
        sb.append(s.substring(2)+":");
      }

      else if( s.startsWith("0") )
      {
        sb.append(s.substring(1)+":");
      }
      else
      {
        sb.append(s+":");
      }
    }
    sb.deleteCharAt(sb.length()-1);
    return sb.toString();
  }
  
  public static String csoport0( String c )
  {
    String c2 = Cim.bevezeto0(c);
    
    if( c2.contains(":0:0:0:0:0:0:0") )
    {
      c2 = c2.replaceFirst(":0:0:0:0:0:0:0", ":");
    }
    else if( c2.contains(":0:0:0:0:0:0") )
    {
      c2 = c2.replaceFirst(":0:0:0:0:0:0", ":");
    }
    else if( c2.contains(":0:0:0:0:0") )
    {
      c2 = c2.replaceFirst(":0:0:0:0:0", ":");
    }
    else if( c2.contains(":0:0:0:0") )
    {
      c2 = c2.replaceFirst(":0:0:0:0", ":");
    }
    else if( c2.contains(":0:0:0") )
    {
      c2 = c2.replaceFirst(":0:0:0", ":");
    }
    else if( c2.contains(":0:0") )
    {
      c2 = c2.replaceFirst(":0:0", ":");
    }
    else if( c2.contains(":0") )
    {
      c2 = c2.replaceFirst(":0", ":");
    }
    if( c2.endsWith(":") )
    {
      c2 += ":";
    }
    return c2;
  }
}
