/**
 *
 * @author http://webotlet.hu
 */

package Webotlet_e14maj_cimek_tomb;

import java.io.*;
import java.util.Scanner;

public class Webotlet_e14maj_cimek_tomb
{

  public static void main( String[] args )
  {
    String sor;
    RandomAccessFile raf;
    int db;
    Cim[] cimek;
    try
    {
// 1. feladat
      raf = new RandomAccessFile("ip.txt","r");
      db = 0;
      for( sor = raf.readLine(); sor != null; sor = raf.readLine() )
      {
        db++;
      }
      cimek = new Cim[db];
      db = 0;
      raf.seek(0);
      for( sor = raf.readLine(); sor != null; sor = raf.readLine() )
      {
        cimek[db++] = new Cim(sor, db);
      }
      raf.close();

// 2. feladat
      System.out.println("\n2. feladat");
      System.out.println(db+" sor van az allomanyban.");

// 3. feladat
      System.out.println("\n3. feladat");
      
      int min = 0;
      for( int i = 1; i < cimek.length; i++ )
      {
        if( cimek[i].getCim().compareTo(cimek[min].getCim() ) < 0 )
        {
          min = i;
        }
      }
      System.out.println( "Az allomanyban szereplo legalacsonyabb cim:\n"+cimek[min].getCim() );
      
// 4. feladat
      System.out.println("\n4. feladat");
      int[] tipusDb = new int[3];
      
      for( Cim c : cimek )
      {
        tipusDb[ c.getTipus() ]++;
      }
      
      System.out.println("Dokumentacios cim: "+tipusDb[0]+" darab");
      System.out.println("Globalis egyedi cim: "+tipusDb[1]+" darab");
      System.out.println("Helyi egyedi cim: "+tipusDb[2]+" darab");

// 5. feladat
      RandomAccessFile ki = new RandomAccessFile("sok.txt","rw");

// ha esetleg létezne a fájl, töröljük a tartalmát
      ki.setLength(0);
      for( Cim c : cimek )
      {
        if( c.isN18() )
        {
          ki.writeBytes(c.getSorszam()+" "+c.getCim()+"\n");
        }
      }

// 6. feladat
      System.out.println("\n6. feladat");
      Scanner sc = new Scanner(System.in);
      System.out.print("Adj meg egy sorszamot: ");
      int rcim = sc.nextInt()-1;
      
      System.out.println(cimek[rcim].getCim() );
      System.out.println(Cim.bevezeto0( cimek[rcim].getCim() ) );

// 7. feladat
      System.out.println("\n7. feladat");
      System.out.println(Cim.csoport0( cimek[rcim].getCim() ) );
    }
    
    catch( IOException e )
    {
      System.err.println("HIBA");
    }
  }
}
